Subject: Re: bug#64809: 29.1; Initial frame is wrong size when dimensions specified in init file

From: Jim Porter <[email-masked]>
Date: Tue, 25 Jul 2023 08:42:43 -0700

On 7/25/2023 4:56 AM, Eli Zaretskii wrote:
> Don't worry, the fix for this will not go into Emacs 29.1, unless you
> _really_ surprise me by its simplicity and safety.  After all, this
> issue is merely a minor annoyance, not a big problem, especially if
> one uses Emacs As God Intended and starts it only once in a blue moon.
> Jim actually said he usually doesn't use GUI Emacs...

Well, not on the development builds. (I usually run a minimal 
configuration in the terminal when testing things.) I do use GUI Emacs a 
fair amount otherwise though. However, I agree that this is a minor 
annoyance, and should be easy enough to work around for the time being 
with a couple of well-placed advices anyway.

Still, in the future I'll make sure to find time to test under a wider 
variety of configurations earlier in the development process to catch 
issues like this before an RC. I'm surprised no one noticed this issue 
until now either, but I guess most users don't use the development 
builds heavily.